<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Șterge mass';
$back[1]='<a href="/admin-lista-validari">'.img('administrare.png',1).'Lista validari</a>';
$back[2]='<a href="/admin-dialog-mesaje-membru/la/'.$la.'-'.seo(nume($la,1)).'">'.img('administrare.png',1).'Dialog mesaje membru '.nume($la).'</a>';
require'f_sus.php';
$destinatari=$conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`de`="'.$la.'"&&`data`="'.$go.'"')->fetch_row()[0];
$text=$conn->query('SELECT`text`FROM`mesaje`WHERE`de`="'.$la.'"&&`data`="'.$go.'"LIMIT 1')->fetch_row()[0];
if(($destinatari<$elemente_raportate?false:$conn->query('DELETE FROM`mesaje`WHERE`de`="'.$la.'"&&`data`="'.$go.'"')))
{
require'f_data.php';
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a șters mass-ul cu textul: '.$text.'[br/]De la '.nume($la,1).'[br/]Trimis la: [b]'.$destinatari.'[/b] membri[br/]Trimis [b]'.data($go,1,1).'[/b]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if($de!=$la)
{
require'f_notificare.php';
notificare('ti-am șters mass-ul [b]'.$text.'[/b][br/]Mass trimis la [b]'.$destinatari.'[/b] membri',$la,$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mass șters!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest mass a fost șters de către alt administrator!';
unset($destinatari,$text);
echo$div[0];
require'f_jos.php';